error_log /var/log/nginx.error_log info;

events {
    worker_connections   20;
}
http {
    client_max_body_size 2000M;
    server {
        listen 80;
        server_name "";

        location / {
            proxy_pass http://bo-frontend:8080/;
        }

        location /api/ {
            proxy_pass http://bo-backend:9753/api/;
        }

        location /mock/ {
            proxy_pass http://bo-mock-server:9754/mock/;
        }

        location /health/bo {
            proxy_pass http://bo-backend:9755/manage/health;
        }

        location /health/bo-mock {
            proxy_pass http://bo-mock-server:9756/manage/health;
        }

        location /manage/bo {
            proxy_pass http://bo-backend:9755/manage;
        }

        location /manage/bo-mock {
             proxy_pass http://bo-mock-server:9756/manage;
        }
    }
}
